#include "xeffectdef.h"

XEffectDef::XEffectDef()
    : XAsset()
    , mName("")
    , mFlags(0)
    , mTotalSize(0)
    , mMsecLoopingLife(0)
    , mElemDefCountLooping(0)
    , mElemDefCountOneShot(0)
    , mElemDefCountEmission(0)
    , mElemDefs()
{

}

XEffectDef::~XEffectDef()
{

}

void XEffectDef::Clear()
{
    mName.clear();
    mFlags = 0;
    mTotalSize = 0;
    mMsecLoopingLife = 0;
    mElemDefCountLooping = 0;
    mElemDefCountOneShot = 0;
    mElemDefCountEmission = 0;
    mElemDefs.clear();
}

void XEffectDef::ParseData(QDataStream *aStream)
{

}
